Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorShawn O. Pearce2010-02-04 03:42:06 +0000
committerShawn O. Pearce2010-02-11 15:31:50 +0000
commitf50c28b7e1d8c6d259e9386c87ed691383ff11de (patch)
treea49a24f9b3e5edee8e6efb398000de3d27254828 /org.eclipse.egit-feature
parent785f95dbd9397664099300bb6f5096fcc2f202f1 (diff)
downloadegit-f50c28b7e1d8c6d259e9386c87ed691383ff11de.tar.gz
egit-f50c28b7e1d8c6d259e9386c87ed691383ff11de.tar.xz
egit-f50c28b7e1d8c6d259e9386c87ed691383ff11de.zip
Update manifests to use versioned Import-Package or Require-Bundle
Rather than taking anything at random, take the >= 3.4 but less than 4.0 versions for any Eclipse package, and JGit 0.6.0,0.7.0. This documents the assumption we are making about targeting the 3.4 API platform for Eclipse, but hopefully working on a forward release up until 4.0. Change-Id: If3955b243dbd36b6bee63472fa480ac172a80354 Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
Diffstat (limited to 'org.eclipse.egit-feature')
-rw-r--r--org.eclipse.egit-feature/feature.xml31
1 files changed, 15 insertions, 16 deletions
diff --git a/org.eclipse.egit-feature/feature.xml b/org.eclipse.egit-feature/feature.xml
index 89b6d6f6a..30fd126e1 100644
--- a/org.eclipse.egit-feature/feature.xml
+++ b/org.eclipse.egit-feature/feature.xml
@@ -24,21 +24,21 @@
</url>
<requires>
- <import plugin="org.eclipse.core.runtime" version="3.4" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.resources"/>
- <import plugin="org.eclipse.core.filesystem"/>
- <import plugin="org.eclipse.ui"/>
- <import plugin="org.eclipse.team.ui"/>
- <import plugin="org.eclipse.jface.text"/>
- <import plugin="org.eclipse.ui.ide"/>
- <import plugin="org.eclipse.ui.workbench.texteditor"/>
- <import plugin="org.eclipse.compare"/>
- <import plugin="org.eclipse.core.net"/>
- <import plugin="org.eclipse.team.core" version="3.4.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.jsch.ui" version="1.1.100" match="greaterOrEqual"/>
- <import plugin="org.eclipse.jsch.core"/>
- <import plugin="com.jcraft.jsch"/>
- <import feature="org.eclipse.jgit" version="0.6.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.core.runtime" version="3.4" match="compatible"/>
+ <import plugin="org.eclipse.core.resources" version="3.4.0" match="compatible"/>
+ <import plugin="org.eclipse.core.filesystem" version="3.4.0" match="compatible"/>
+ <import plugin="org.eclipse.ui" version="3.4.0" match="compatible"/>
+ <import plugin="org.eclipse.team.ui" version="3.4.0" match="compatible"/>
+ <import plugin="org.eclipse.jface.text" version="3.4.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.ide" version="3.4.0" match="compatible"/>
+ <import plugin="org.eclipse.ui.workbench.texteditor" version="3.4.0" match="compatible"/>
+ <import plugin="org.eclipse.compare" version="3.4.0" match="compatible"/>
+ <import plugin="org.eclipse.core.net" version="3.4.0" match="compatible"/>
+ <import plugin="org.eclipse.team.core" version="3.4.0" match="compatible"/>
+ <import plugin="org.eclipse.jsch.ui" version="1.1.100" match="compatible"/>
+ <import plugin="org.eclipse.jsch.core" version="1.1.100" match="compatible"/>
+ <import plugin="com.jcraft.jsch" version="0.1.41" match="compatible"/>
+ <import feature="org.eclipse.jgit" version="0.6.0" match="equivalent"/>
</requires>
<plugin
@@ -61,5 +61,4 @@
install-size="0"
version="0.0.0"
unpack="false"/>
-
</feature>

Back to the top